Loading...
Searching...
No Matches
dolfin::MPI::Comm Class Reference

## Public Member Functions

| Comm (MPI_Comm comm)
| Duplicate communicator and wrap duplicate.
| ~Comm ()
| Destructor (frees wrapped communicator).
void | free ()
| Free (destroy) communicator. Calls function 'MPI_Comm_free'.
void | reset (MPI_Comm comm)
unsigned int | rank () const
| Return process rank for the communicator.
unsigned int | size () const
void | barrier () const
| Set a barrier (synchronization point).
MPI_Comm | comm () const
| Return the underlying MPI_Comm object.

## Member Function Documentation

## reset()

void dolfin::MPI::Comm::reset | ( | MPI_Comm | comm | ) |

Duplicate communivator, and free any previously created communicator

## size()

unsigned int dolfin::MPI::Comm::size | ( |  | ) | const

Return size of the group (number of processes) associated with the communicator. This function will also intialise MPI if it hasn't already been intialised.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/common/MPI.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/common/MPI.cpp